Skip to main content
Platform O&M/Migration Service (Plus)/Migration Service Operations

ConvertVmFromForeignHypervisor

ConvertVmFromForeignHypervisor

POST/zstack/v1/v2vs

Operation ID

ConvertVmFromForeignHypervisor

Since

3.0.1

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • url
      StringRequired

      The source VM instance URL.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • conversionHostUuid
      String

      Optional. The V2V conversion host UUID.

    • cpuNum
      IntegerRequired

      The CPU count.

    • memorySize
      LongRequired

      The memory size.

    • zoneUuid
      String

      Optional. The zone UUID.

    • clusterUuid
      String

      Optional. The cluster UUID.

    • hostUuid
      String

      Optional. The host UUID.

    • primaryStorageUuid
      StringRequired

      The primary storage UUID.

    • l3NetworkUuids
      ListRequired

      The L3 network UUID list.

    • defaultL3NetworkUuid
      String

      Optional. The UUID of the default L3 network.

    • platform
      String

      Optional. The platform.

    • type
      String

      Optional. The VM instance type.

    • strategy
      String

      Optional. The V2V migration strategy, which determines whether the target VM instance will be started immediately after migration.

    • longJobName
      String

      Optional. The migration job name.

    • longJobDescription
      String

      Optional. The migration job description.

    • resourceUuid
      String

      Optional. The resource UUID of the V2V migration job.

    • convertStrategy
      String

      Optional.

    • sshPrivKey
      String

      Optional. The private key that is used to verify SSH login.

    • pauseVm
      boolean

      Optional. Whether to pause the VM instance before migration.

    • volumeFilters
      List

      Optional. The volume filter information.

    • tagUuids
      List

      Optional. The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The detailed description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    LongJobInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • apiId
      StringRequired

      The API ID used to associate with the task progress.

    • jobName
      StringRequired

      The job name.

    • jobData
      StringRequired

      The job data.

    • jobResult
      StringRequired

      The job result.

    • targetResourceUuid
      StringRequired

      The target resource UUID.

    • managementNodeUuid
      StringRequired

      The management node UUID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • state
      LongJobStateRequired

      See state.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.